Package net.shibboleth.idp.profile.testing

# Class ActionTestingSupport

java.lang.Object
net.shibboleth.idp.profile.testing.ActionTestingSupport

public final class ActionTestingSupport extends Object
Helper methods for creating/testing objects within profile action tests. When methods herein refer to mock objects they are always objects that have been created via Mockito unless otherwise noted.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`INBOUND_MSG_ID`
ID of the inbound message.
`static final String`
`INBOUND_MSG_ISSUER`
Issuer of the inbound message.
`static final String`
`OUTBOUND_MSG_ID`
ID of the outbound message.
`static final String`
`OUTBOUND_MSG_ISSUER`
Issuer of the outbound message.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ActionTestingSupport()`
Private constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`assertEvent(Event event, String id)`
Checks that the event is not null, that the event source is not null, and that the event ID is the given id.
`static void`
`assertProceedEvent(Event event)`
Checks that the given event is a proceed event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INBOUND_MSG_ID

@Nonnull @NotEmpty public static final String INBOUND_MSG_ID
ID of the inbound message.

See Also:
  - Constant Field Values

### INBOUND_MSG_ISSUER

@Nonnull @NotEmpty public static final String INBOUND_MSG_ISSUER
Issuer of the inbound message.

See Also:
  - Constant Field Values

### OUTBOUND_MSG_ID

@Nonnull @NotEmpty public static final String OUTBOUND_MSG_ID
ID of the outbound message.

See Also:
  - Constant Field Values

### OUTBOUND_MSG_ISSUER

@Nonnull @NotEmpty public static final String OUTBOUND_MSG_ISSUER
Issuer of the outbound message.

See Also:
  - Constant Field Values

## Constructor Details

### ActionTestingSupport

private ActionTestingSupport()
Private constructor.

## Method Details

### assertEvent

public static void assertEvent(@Nullable Event event, @Nullable String id)
Checks that the event is not null, that the event source is not null, and that the event ID is the given id.

Parameters:
  `event` - the event to check
  `id` - ...

### assertProceedEvent

public static void assertProceedEvent(@Nullable Event event)
Checks that the given event is a proceed event.

Parameters:
  `event` - the event to check